package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 处方对象 fs_prescribe
 *
 * @author fs
 * @date 2022-03-15
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FsPrescribe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long prescribeId;

    /** 处方类型 1问诊 2订单 */
    @Excel(name = "处方类型 1西药 2中药")
    private Integer prescribeType;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long inquiryOrderId;

    /** 店铺订单ID */
    @Excel(name = "店铺订单ID")
    private Long storeOrderId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 处⽅单ID（唯⼀ID） */
    @Excel(name = "处⽅单ID", readConverterExp = "唯=⼀ID")
    private String rpId;

    /** 门店标识 */
    @Excel(name = "门店标识")
    private String pharmacyCode;

    /** ⻔店名称 */
    @Excel(name = "⻔店名称")
    private String pharmacyName;

    /** 病情描述(主诉） */
    @Excel(name = "病情描述(主诉）")
    private String chiefComplaint;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史 */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 是否有过敏史（传值：是/否） */
    @Excel(name = "是否有过敏史", readConverterExp = "传=值：是/否")
    private String isHistoryAllergic;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 肝功能是否异常（传值：是/否） */
    @Excel(name = "肝功能是否异常", readConverterExp = "传=值：是/否")
    private String liverUnusual;

    /** 肾功能是否异常（传值：是/否） */
    @Excel(name = "肾功能是否异常", readConverterExp = "传=值：是/否")
    private String renalUnusual;

    /** 是否是备孕/怀孕/哺乳期（传值：是 */
    @Excel(name = "是否是备孕/怀孕/哺乳期", readConverterExp = "是否是备孕/怀孕/哺乳期（传值：是")
    private String lactationFlag;

    /** 患者电话 */
    @Excel(name = "患者电话")
    private String patientTel;

    /** 患者性别(传数字，1男 2⼥) */
    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;

    /** 复诊凭证 */
    @Excel(name = "复诊凭证")
    private String recordPic;

    /** 处方图片地址 */
    @Excel(name = "处方图片地址")
    private String rpUrl;

    /** 处⽅开具时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处⽅开具时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rpCreateTime;
    @Excel(name = "拒绝原因")
    private String auditReason;


    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 药品列表 JSON */
    @Excel(name = "药品列表 JSON")
    private String drugs;

    /** 医生名称 */
    @Excel(name = "医生名称")
    private String doctorName;

    /** 科室名称 */
    @Excel(name = "科室名称")
    private String doctorId;

    private Integer status;

    @Excel(name = "使用方法")
    private String usageJson;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    @Excel(name = "病人生日")
    private String patientBirthday;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "店铺id")
    private Long storeId;

    @Excel(name = "开方医生id")
    private Long prescribeDoctorId;

    @Excel(name = "开方医生签名")
    private String doctorSignUrl;

    @Excel(name = "处方医生签名")
    private String prescribeDoctorSignUrl;

    @Excel(name = "药师签名")
    private String drugDoctorSignUrl;

    @Excel(name = "0颗粒1膏方")
    private Integer recipeType;
    private String prescribeCodeUrl;
    private String prescribeImgStoreUrl;


    private Integer cycle;



    private String icdCode;

    public Integer source;


}
